Prospecting API Reference¶
Note
If you use the API provided here, you are subject to the API Terms of Use. To be able to create prospecting objects your advertisable(s) must be opted-in to the Prospecting Services Addendum.
Note
We’ve introduced API keys, please read Migrating to API Keys
Description¶
Prospecting API v2
Operations by Tag¶
Adgroups¶
Advertisables¶
Audiences¶
Campaigns¶
Flights¶
Untagged¶
Operations¶
- GET /prospecting/api/v2/adgroups/(adgroup)¶
Get AdGroup by its EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to get.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "ads": array of object "advertisable_eid": string "attribute_targets": array of object "attribute_targets_segment": string "audience": object "auto_audience": boolean "auto_geo_targets": boolean "campaign_eid": string "contextual_targets": array of object "contextual_targets_segment": string "created_at": string "device_targets": object "eid": string "geo_targets": array of object "is_active": boolean "name": string "status": string "updated_at": string }
- POST /prospecting/api/v2/adgroups/(adgroup)¶
Edit an AdGroup by its EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to edit.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "ads": array of object "advertisable_eid": string "attribute_targets": array of object "attribute_targets_segment": string "audience": object "auto_audience": boolean "auto_geo_targets": boolean "campaign_eid": string "contextual_targets": array of object "contextual_targets_segment": string "created_at": string "device_targets": object "eid": string "geo_targets": array of object "is_active": boolean "name": string "status": string "updated_at": string }
- GET /prospecting/api/v2/adgroups/(adgroup)/audience¶
Retrieve the audience for the specified AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to get audience from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "size": integer "source_segment_eid": string "target_segment_eid": string "updated_at": string }
- POST /prospecting/api/v2/adgroups/(adgroup)/audience¶
Create an audience for the specified AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to create an audience for.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "size": integer "source_segment_eid": string "target_segment_eid": string "updated_at": string }
- GET /prospecting/api/v2/adgroups/(adgroup)/flights¶
Get all Flights associated with an AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to get Flights from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": [ { "adgroup_eid": "string", "created_at": "string", "eid": "string", "end_date": "string", "start_date": "string", "updated_at": "string" } ] }
- Schema
- Type:
object
- results
- Type:
array of object
- POST /prospecting/api/v2/adgroups/(adgroup)/flights¶
Create a new Flight for an AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID that the new Flight is being added to
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
- 200
Flight created successfully.
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "end_date": "string", "start_date": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "end_date": string "start_date": string "updated_at": string }
- 400
The Flight was not created.
Your Flight might be missing start/end dates.
The start date might be greater than the end date.
Your Flight might be overlapping with another of the adgroup’s Flights.
Schema as JSON:
{ "code": "integer", "message": "" }
- Schema
- Type:
object
- code
HTTP error code.
- Type:
integer
- message
String,list, ordictionaryof error messages. If adictionary, the keys will be field names and the values will be lists of messages.
- GET /prospecting/api/v2/adgroups/(adgroup)/geo-targets¶
Retrieve GeoTargets for the specified AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to get GeoTargets from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "data": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "eid": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "data": array of object "eid": string }
- POST /prospecting/api/v2/adgroups/(adgroup)/geo-targets¶
Edit GeoTargets for the specified AdGroup.
Parameters:
Path Parameters¶ Name
Required
Type
Description
adgroupTrue
string
AdGroup EID to add GeoTargets to.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Schema for request body:
[ { "eid": "string", "operation": "string" } ]
- Schema
- Type:
array
Responses:
200
Schema as JSON:
{ "results": { "data": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "eid": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "data": array of object "eid": string }
- GET /prospecting/api/v2/advertisables/(adv)/campaigns¶
Get campaigns for the given advertisable.
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID to get campaigns from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
is_activeFalse
boolean
Responses:
200
Schema as JSON:
{ "results": [ { "adgroups": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ], "admin_notes": "string", "admin_status": "string", "advertisable_eid": "string", "billing_auth_status": "string", "content_categories": [ { "name": "string" } ], "created_at": "string", "currency_code": "string", "eid": "string", "end_date": "string", "frequency_cap": "integer", "is_active": "boolean", "is_ctv": "boolean", "is_frozen": "boolean", "kpi_goal": "number", "kpi_metric": "string", "name": "string", "source": "string", "start_date": "string", "status": "string", "targeting_type": "string", "updated_at": "string", "user_status": "string", "vcpc": "number", "vcpx": "number", "weekly_budget": "number" } ] }
- Schema
- Type:
object
- results
- Type:
array of object
- POST /prospecting/api/v2/advertisables/(adv)/campaigns¶
Create a campaign for the specified advertisable.
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID to create the campaign for.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroups": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ], "admin_notes": "string", "admin_status": "string", "advertisable_eid": "string", "billing_auth_status": "string", "content_categories": [ { "name": "string" } ], "created_at": "string", "currency_code": "string", "eid": "string", "end_date": "string", "frequency_cap": "integer", "is_active": "boolean", "is_ctv": "boolean", "is_frozen": "boolean", "kpi_goal": "number", "kpi_metric": "string", "name": "string", "source": "string", "start_date": "string", "status": "string", "targeting_type": "string", "updated_at": "string", "user_status": "string", "vcpc": "number", "vcpx": "number", "weekly_budget": "number" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroups": array of object "admin_notes": string "admin_status": string "advertisable_eid": string "billing_auth_status": string "content_categories": array of object "created_at": string "currency_code": string "eid": string "end_date": string "frequency_cap": integer "is_active": boolean "is_ctv": boolean "is_frozen": boolean "kpi_goal": number "kpi_metric": string "name": string "source": string "start_date": string "status": string "targeting_type": string "updated_at": string "user_status": string "vcpc": number "vcpx": number "weekly_budget": number }
- PATCH /prospecting/api/v2/advertisables/(adv)/campaigns¶
Change either user_status or currency_code (not both) for all campaigns belonging to the given advertisable. Completed or inactive campaigns won’t be affected when changing the user_status.
budgetandkpi_goalfields will be updated accordingly on each campaign whencurrency_codeis changed.Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID associated with the patched campaigns.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": [ { "adgroups": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ], "admin_notes": "string", "admin_status": "string", "advertisable_eid": "string", "billing_auth_status": "string", "content_categories": [ { "name": "string" } ], "created_at": "string", "currency_code": "string", "eid": "string", "end_date": "string", "frequency_cap": "integer", "is_active": "boolean", "is_ctv": "boolean", "is_frozen": "boolean", "kpi_goal": "number", "kpi_metric": "string", "name": "string", "source": "string", "start_date": "string", "status": "string", "targeting_type": "string", "updated_at": "string", "user_status": "string", "vcpc": "number", "vcpx": "number", "weekly_budget": "number" } ] }
- Schema
- Type:
object
- results
- Type:
array of object
- GET /prospecting/api/v2/advertisables/(adv)/settings¶
Get advertisable settings.
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID to get settings for.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "advertisable": "string", "ctc_weight": "number", "ctc_window": "integer", "vtc_weight": "number", "vtc_window": "integer" } }
- Schema
- Type:
object
- results
- Type:
object
{ "advertisable": string "ctc_weight": number "ctc_window": integer "vtc_weight": number "vtc_window": integer }
- POST /prospecting/api/v2/advertisables/(adv)/settings¶
Edit advertisable settings.
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID to edit settings for.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "advertisable": "string", "ctc_weight": "number", "ctc_window": "integer", "vtc_weight": "number", "vtc_window": "integer" } }
- Schema
- Type:
object
- results
- Type:
object
{ "advertisable": string "ctc_weight": number "ctc_window": integer "vtc_weight": number "vtc_window": integer }
- GET /prospecting/api/v2/attribute_names/(adv)¶
Returns the full set of available per-source attribute data
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
- 200
List of sources for the advertisable,where every key is a source
Schema as JSON:
{ "[source]": { "attributes": { "[attribute_name]": { "values": { "[value]": { "id": "number" } } } } } }
- Schema
List of sources for the advertisable,where every key is a source
- Type:
object
- [source]
All attributes for the source
- Type:
object
{ "attributes": object }
- GET /prospecting/api/v2/attribute_names/(adv)/sources¶
Returns a list of strings containing the NAMEs of theattribute sources
Parameters:
Path Parameters¶ Name
Required
Type
Description
advTrue
string
Advertisable EID
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
- 200
List of sources availablefor the advertisable
Schema as JSON:
[ "string" ]
- Schema
- Type:
array
- GET /prospecting/api/v2/attribute_names/(adv)/(name)¶
Returns all information about the NAME’d attribute source, if the advertisable may access it.
Parameters:
Path Parameters¶ Name
Required
Type
Description
nameTrue
string
advTrue
string
Advertisable EID
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
- 200
All attributes for the source
Schema as JSON:
{ "attributes": { "[attribute_name]": { "values": { "[value]": { "id": "number" } } } } }
- Schema
All attributes for the source
- Type:
object
- attributes
List of attributes for the source, where every key is an attribute
- Type:
object
{ "[attribute_name]": object }
- GET /prospecting/api/v2/audiences/(audience)¶
Retrieve an audience with the specified EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
audienceTrue
string
Audience EID to get.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "size": integer "source_segment_eid": string "target_segment_eid": string "updated_at": string }
- POST /prospecting/api/v2/audiences/(audience)¶
Edit audience by its EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
audienceTrue
string
Audience EID to edit.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "size": integer "source_segment_eid": string "target_segment_eid": string "updated_at": string }
- GET /prospecting/api/v2/campaigns/(campaign)¶
Retrieve a campaign with the specified EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
campaignTrue
string
Campaign EID to get.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
event_sourceFalse
string
Default:
fortyniner-ui.active_adgroups_onlyFalse
boolean
Responses:
200
Schema as JSON:
{ "results": { "adgroups": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ], "admin_notes": "string", "admin_status": "string", "advertisable_eid": "string", "billing_auth_status": "string", "content_categories": [ { "name": "string" } ], "created_at": "string", "currency_code": "string", "eid": "string", "end_date": "string", "frequency_cap": "integer", "is_active": "boolean", "is_ctv": "boolean", "is_frozen": "boolean", "kpi_goal": "number", "kpi_metric": "string", "name": "string", "source": "string", "start_date": "string", "status": "string", "targeting_type": "string", "updated_at": "string", "user_status": "string", "vcpc": "number", "vcpx": "number", "weekly_budget": "number" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroups": array of object "admin_notes": string "admin_status": string "advertisable_eid": string "billing_auth_status": string "content_categories": array of object "created_at": string "currency_code": string "eid": string "end_date": string "frequency_cap": integer "is_active": boolean "is_ctv": boolean "is_frozen": boolean "kpi_goal": number "kpi_metric": string "name": string "source": string "start_date": string "status": string "targeting_type": string "updated_at": string "user_status": string "vcpc": number "vcpx": number "weekly_budget": number }
- POST /prospecting/api/v2/campaigns/(campaign)¶
Edit a campaign with the specified EID.
Parameters:
Path Parameters¶ Name
Required
Type
Description
campaignTrue
string
Campaign EID to edit.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroups": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ], "admin_notes": "string", "admin_status": "string", "advertisable_eid": "string", "billing_auth_status": "string", "content_categories": [ { "name": "string" } ], "created_at": "string", "currency_code": "string", "eid": "string", "end_date": "string", "frequency_cap": "integer", "is_active": "boolean", "is_ctv": "boolean", "is_frozen": "boolean", "kpi_goal": "number", "kpi_metric": "string", "name": "string", "source": "string", "start_date": "string", "status": "string", "targeting_type": "string", "updated_at": "string", "user_status": "string", "vcpc": "number", "vcpx": "number", "weekly_budget": "number" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroups": array of object "admin_notes": string "admin_status": string "advertisable_eid": string "billing_auth_status": string "content_categories": array of object "created_at": string "currency_code": string "eid": string "end_date": string "frequency_cap": integer "is_active": boolean "is_ctv": boolean "is_frozen": boolean "kpi_goal": number "kpi_metric": string "name": string "source": string "start_date": string "status": string "targeting_type": string "updated_at": string "user_status": string "vcpc": number "vcpx": number "weekly_budget": number }
- GET /prospecting/api/v2/campaigns/(campaign)/adgroups¶
Get AdGroups that belong to given campaign.
Parameters:
Path Parameters¶ Name
Required
Type
Description
campaignTrue
string
Campaign EID to get AdGroups from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
is_activeFalse
boolean
Responses:
200
Schema as JSON:
{ "results": [ { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } ] }
- Schema
- Type:
object
- results
- Type:
array of object
- POST /prospecting/api/v2/campaigns/(campaign)/adgroups¶
Create an AdGroup for the given campaign.
Parameters:
Path Parameters¶ Name
Required
Type
Description
campaignTrue
string
Campaign EID to add AdGroup to.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "ads": [ { "ad_eid": "string", "ad_eids": "string", "adgroup_eid": "string", "admin_status": "string", "advertisable_eid": "string", "campaign_eid": "string", "campaign_name": "string", "eid": "string", "is_active": "boolean", "status": "string", "user_status": "string" } ], "advertisable_eid": "string", "attribute_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ] } ], "attribute_targets_segment": "string", "audience": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "size": "integer", "source_segment_eid": "string", "target_segment_eid": "string", "updated_at": "string" }, "auto_audience": "boolean", "auto_geo_targets": "boolean", "campaign_eid": "string", "contextual_targets": [ { "name": "string", "options": [ { "name": "string", "target": "boolean" } ], "source": "string" } ], "contextual_targets_segment": "string", "created_at": "string", "device_targets": {}, "eid": "string", "geo_targets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ], "is_active": "boolean", "name": "string", "status": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "ads": array of object "advertisable_eid": string "attribute_targets": array of object "attribute_targets_segment": string "audience": object "auto_audience": boolean "auto_geo_targets": boolean "campaign_eid": string "contextual_targets": array of object "contextual_targets_segment": string "created_at": string "device_targets": object "eid": string "geo_targets": array of object "is_active": boolean "name": string "status": string "updated_at": string }
- GET /prospecting/api/v2/campaigns/(campaign)/geo-targets¶
Retrieve GeoTargets for the specified Campaign.
Parameters:
Path Parameters¶ Name
Required
Type
Description
campaignTrue
string
Campaign EID to get GeoTargets from.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
active_adgroups_onlyFalse
boolean
Responses:
200
Schema as JSON:
{ "results": [ { "adgroup": "string", "geotargets": [ { "city": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region_code": "string", "type": "string" }, "country": { "code": "string", "country": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "geo_eid": "string", "is_excluded": "boolean", "metro": { "boundaries": "string", "country": "string", "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "server_id": "integer", "type": "string" }, "name": "string", "operation": "string", "postal_code": { "country_code": "string", "eid": "string", "id": "integer", "is_facebook_target": "boolean", "name": "string", "type": "string" }, "region": { "country": "string", "eid": "string", "id": "string", "is_facebook_target": "boolean", "name": "string", "name_localized": "string", "region": "string", "type": "string" }, "type": "string" } ] } ] }
- Schema
- Type:
object
- results
- Type:
array of object
- PUT /prospecting/api/v2/flights/(flight)¶
Edit a Flight.
Parameters:
Path Parameters¶ Name
Required
Type
Description
flightTrue
string
Flight EID to edit.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
- 200
Flight edited successfully.
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "end_date": "string", "start_date": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "end_date": string "start_date": string "updated_at": string }
- 400
The Flight was not edited.
Your Flight might be missing start/end dates.
The start date might be greater than the end date.
Your Flight might be overlapping with another of the adgroup’s Flights.
Schema as JSON:
{ "code": "integer", "message": "" }
- Schema
- Type:
object
- code
HTTP error code.
- Type:
integer
- message
String,list, ordictionaryof error messages. If adictionary, the keys will be field names and the values will be lists of messages.
- DELETE /prospecting/api/v2/flights/(flight)¶
Delete a Flight.
Parameters:
Path Parameters¶ Name
Required
Type
Description
flightTrue
string
Flight EID to delete.
Query Parameters¶ Name
Required
Type
Description
apikeyFalse
string
Required if using Personal Access Tokens (PAT). The value is the Client ID you received when you registered your application on the NextRoll Developer site
Responses:
200
Schema as JSON:
{ "results": { "adgroup_eid": "string", "created_at": "string", "eid": "string", "end_date": "string", "start_date": "string", "updated_at": "string" } }
- Schema
- Type:
object
- results
- Type:
object
{ "adgroup_eid": string "created_at": string "eid": string "end_date": string "start_date": string "updated_at": string }